
 <div >
  <form  [formGroup]='details'>
    First name
      <input  formControlName='firstname' 
              type="text" 
              class="form-control" 
              placeholder="Enter firstname" />
              
      <div *ngIf="details.controls['firstname'].invalid && (details .controls['firstname'].dirty || details.controls['firstname'].touched)">
          <p style="color: red;">firstname if required</p>
      </div>
      <br><br>
      last name:
      <input  formControlName='lastname' 
              type="text"
              class="form-control" 
              placeholder="Enter lastname" />
      <!-- <div  *ngIf=" !loginForm.controls['password'].valid && (loginForm .controls['password'].dirty || loginForm.controls['password'].touched)">
          <p style="color: red;">Password is required and should less than 10 characters</p>
      </div> -->

      <div>
        <p>
        <button [disabled]='details.invalid' class="btn btn-default" style="margin-right:10px;">Submit</button>
        <button class="btn btn-default" >cancel</button>
        </p>
      </div>
  </form>
</div>
<router-outlet></router-outlet>